[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Sat May 25 05:10:03 UTC 2019


    Date: Saturday, May 25, 2019 @ 05:10:02
  Author: felixonmars
Revision: 469716

addpkg: python-apispec-webframeworks 0.4.0-1

Added:
  python-apispec-webframeworks/
  python-apispec-webframeworks/repos/
  python-apispec-webframeworks/trunk/
  python-apispec-webframeworks/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

Added: python-apispec-webframeworks/trunk/PKGBUILD
===================================================================
--- python-apispec-webframeworks/trunk/PKGBUILD	                        (rev 0)
+++ python-apispec-webframeworks/trunk/PKGBUILD	2019-05-25 05:10:02 UTC (rev 469716)
@@ -0,0 +1,31 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-apispec-webframeworks
+pkgver=0.4.0
+pkgrel=1
+pkgdesc="Web framework plugins for apispec"
+url="https://github.com/marshmallow-code/apispec-webframeworks"
+license=('MIT')
+arch=('x86_64')
+depends=('python-apispec' 'python-yaml')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-bottle' 'python-flask' 'python-tornado')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/marshmallow-code/apispec-webframeworks/archive/$pkgver.tar.gz")
+sha512sums=('f831c4e8d494a67a2ce0f88624fa7770bb7e3731d57158f9d622c07f1f87b7c0f55375cd0bffd36d3a8aa204925ae8dbf478a749376320ce8aec324f86c23306')
+
+build() {
+  cd apispec-webframeworks-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd apispec-webframeworks-$pkgver
+  python setup.py pytest || warning "https://github.com/marshmallow-code/apispec-webframeworks/issues/45"
+}
+
+package() {
+  cd apispec-webframeworks-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+}



More information about the arch-commits mailing list